apiVersion: apps/v1
kind: Deployment
metadata:
  name: zooxorboard
  namespace: zooxorboard
spec:
  selector:
    matchLabels:
      app: zooxorboard
  replicas: 1
  template:
    metadata:
      labels:
        app: zooxorboard
    spec:
      containers:
      - name: zooxorboard
        image: perception.docker.zooxlabs.com/zooxorboard:0.2.4
        ports:
        - name: http
          containerPort: 8001
        # readinessProbe:
        #   httpGet:
        #     path: /
        #     port: 8001
        #   initialDelaySeconds: 5
        #   timeoutSeconds: 5
        resources:
          requests:
            cpu: 100m
            memory: 1Gi
